Summary: Drag and Drop Trashcan
Name: OffiX-Trash
Version: 2.4
Release: 1
Source: ftp.leb.net:/pub/offix/Trash-2.4.tar.gz
Patch: Trash-2.4-Xaw3d.patch
BuildRoot: /tmp/OffiX-Trash
Copyright: GPL
Group: X11/Applications

%description
Trash is a black-hole intended to be used with "files". Every file dropped
on trash will be moved to a temporary hidden directory. If you want, the
"delete all" button will remove the files in trash from your disk forever.
The good things is that the files in trash can be recovered (undeleted).

%prep
%setup -n Trash-2.4
%patch -p1

%build
./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
install -c -m 644 src/Trash.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Trash
strip $RPM_BUILD_ROOT/usr/X11R6/bin/trash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING INSTALL README THANKS
%config /usr/X11R6/lib/X11/app-defaults/Trash
/usr/X11R6/bin/trash


